﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;
using System.Collections.ObjectModel;

// La plantilla de elemento Página en blanco está documentada en https://go.microsoft.com/fwlink/?LinkId=402352&clcid=0xc0a

namespace Proyecto24
{
    /// <summary>
    /// Página vacía que se puede usar de forma independiente o a la que se puede navegar dentro de un objeto Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private ObservableCollection<Persona> personas;
        public MainPage()
        {
            this.InitializeComponent();
            personas = new ObservableCollection<Persona>();
            gridView1.ItemsSource = personas;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            string cadena;
            ComboBoxItem item = (ComboBoxItem)genero.SelectedItem;
            if (item.Content.ToString() == "varon")
                cadena = "Assets/varon.png";
            else
                cadena = "Assets/mujer.png";
            personas.Add(new Persona { Nombre = nombre.Text, Mail = mail.Text, Genero = cadena });

            nombre.Text = "";
            mail.Text = "";
            genero.SelectedIndex = 0;
            nombre.Focus(FocusState.Programmatic);
        }
    }
}
